%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           blogtk
Version:        2.0
Release:        6%{?dist}
Summary:        GNOME application for editing/maintaining blogs

Group:          Applications/Internet
License:        BSD
URL:            http://blogtk.sourceforge.net
Source0:        http://launchpad.net/%{name}/%{version}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         blogtk-2.0-sharepath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  pygtk2-devel >= 2.00
BuildRequires:  glib2-devel
BuildRequires:  desktop-file-utils
Requires:       gnome-python2-gnome >= 2.00
Requires:       pygtk2 >= 2.00
Requires:       pywebkitgtk
Requires:       python-feedparser
Requires:       python-gdata
Requires:       gnome-python2-gtkspell
Requires:       gnome-python2-bonobo
Requires:	pygtksourceview
# To make sure this doesn't inflict pain on CapNames users
Provides:       BloGTK = %{version}-%{release}

%description
BloGTK is a weblog posting client written in Python for any platform that
supports Python and the GTK widget set. BloGTK allows you to connect to your
weblog with XML-RPC and create new posts.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .sharepath


%build
# Developer does not use setup.py


%install
rm -rf $RPM_BUILD_ROOT
# Cope with developer's over-specificity
install -m 755 -D bin/blogtk2 $RPM_BUILD_ROOT%{_bindir}/blogtk2
for F in share/blogtk2/lib/blogtk2/*.py ; do \
  sed -i -e '/^#!\//, 1d' $F ; \
  install -m 644 -D $F $RPM_BUILD_ROOT%{python_sitelib}/blogtk2/$(basename $F) ; \
done
install -m 644 -D share/blogtk2/glade/blogtk2.glade \
  $RPM_BUILD_ROOT%{_datadir}/blogtk2/glade/blogtk2.glade
for F in share/blogtk2/res/*.png ; do \
  install -m 644 -D $F $RPM_BUILD_ROOT%{_datadir}/blogtk2/res/$(basename $F) ; \
done
install -m 644 -D data/blogtk-icon.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/blogtk-icon.png
sed -i 's/\.png$//' data/blogtk.desktop
install -m 644 -D data/blogtk.desktop \
  $RPM_BUILD_ROOT%{_datadir}/applications/blogtk.desktop
desktop-file-install --vendor=fedora \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category=X-Fedora \
        --add-category=GTK \
        --delete-original \
        --add-category=Network \
        $RPM_BUILD_ROOT%{_datadir}/applications/blogtk.desktop

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README LICENSE
%{_bindir}/blogtk2
%{python_sitelib}/blogtk2
%{_datadir}/blogtk2
%{_datadir}/applications/fedora-blogtk.desktop
%{_datadir}/pixmaps/blogtk-icon.png


%changelog
* Mon Nov 21 2011 Paul W. Frields <stickster@gmail.com> - 2.0-6
- Fix missing requires (#755444)

* Mon Aug  1 2011 Paul W. Frields <stickster@gmail.com> - 2.0-5
- Add missing requirement (#702995)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Paul W. Frields <stickster@gmail.com> - 2.0-3
- Fix missing requires

* Sat Dec 18 2010 Paul W. Frields <stickster@gmail.com> - 2.0-2
- Spec file and lint fixes

* Sat Dec 18 2010 Paul W. Frields <stickster@gmail.com> - 2.0-1
- Update to upstream 2.0
- Provide new fixes for shared resource paths

* Sat Dec 18 2010 Paul W. Frields <stickster@gmail.com> - 1.1-15
- Fix gnome-python2-gnome requirement (#460028)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Paul W. Frields <stickster@gmail.com> - 1.1-13
- Fix config file naming (#501183)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-10
- Rebuild for Python 2.6

* Wed Apr  9 2008 Paul W. Frields <stickster@gmail.com> - 1.1-9
- Remove python-abi BR to conform to packaging guidelines

* Fri Dec  8 2006 Paul W. Frields <stickster@gmail.com> - 1.1-8
- Rebuild

* Sun Nov 12 2006 Paul W. Frields <stickster@gmail.com> - 1.1-7
- Add Requires: gnome-python2-gtkhtml2 (#214894)

* Sat Sep  2 2006 Paul W. Frields <stickster@gmail.com> - 1.1-6
- Bump release for FC6 mass rebuild

* Tue Dec 13 2005 Paul W. Frields <stickster@gmail.com> - 1.1-5
- Bring package in line with current fedora-rpmdevtools standards

* Mon Aug 29 2005 Paul W. Frields <stickster@gmail.com> - 1.1-4
- Add BSD license file

* Sat Aug 20 2005 Paul W. Frields <stickster@gmail.com> - 1.1-3
- Revised packaging to match current Fedora Extras guidelines

* Mon Mar 21 2005 Seth Vidal <skvidal@phy.duke.edu> 1.1-2
- fixes for fedora extras compliance

* Thu Mar 17 2005 Seth Vidal <skvidal@phy.duke.edu> 1.1-1
- initial package
